From db96ed9f517562132622426548e94c775bcf20db Mon Sep 17 00:00:00 2001
From: David Tolnay <dtolnay@gmail.com>
Date: Mar 19 2020 00:20:39 +0000
Subject: [PATCH 181/2232] Resolve transmute_ptr_to_ptr lint


---

diff --git a/src/lib.rs b/src/lib.rs
index b3bf41c..4dbc97a 100644
--- a/src/lib.rs
+++ b/src/lib.rs
@@ -345,7 +345,6 @@
     clippy::or_fun_call,
     clippy::ptr_arg,
     clippy::toplevel_ref_arg,
-    clippy::transmute_ptr_to_ptr,
     clippy::useless_let_if_seq
 )]
 
diff --git a/src/rust_string.rs b/src/rust_string.rs
index 258576d..113adfd 100644
--- a/src/rust_string.rs
+++ b/src/rust_string.rs
@@ -14,7 +14,7 @@ impl RustString {
     }
 
     pub fn from_ref(s: &String) -> &Self {
-        unsafe { std::mem::transmute::<&String, &RustString>(s) }
+        unsafe { &*(s as *const String as *const RustString) }
     }
 
     pub fn into_string(self) -> String {

